Summary:		GNU's bc (a calculator language) and dc (a calculator)
Name:			bc
Version:		1.07.1
Release:		3%{?dist}
License:		GPLv2+
URL:			http://www.gnu.org/software/bc/
Source0:		http://ftp.gnu.org/gnu/bc/%{name}-%{version}.tar.gz

Patch3000:		bc-1.06-dc_ibase.patch

BuildRequires:	gcc readline-devel flex bison texinfo ed make

%description
This package provides GNU's bc and dc. bc is a language that 
supports arbitrary precision numbers with interactive execution
of statements. dc  is  a reverse-polish desk calculator which 
supports unlimited precision arithmetic.

%prep
%autosetup -p1

%build
%configure --with-readline
%make_build

%install
%make_install
rm -f %{buildroot}%{_infodir}/dir

%files
%license COPYING COPYING.LIB
%doc FAQ AUTHORS NEWS README Examples/
%{_bindir}/dc
%{_bindir}/bc
%{_mandir}/*/*
%{_infodir}/*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.07.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.07.1-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Jul 15 2022 Xiaojie Chen <jackxjchen@tencent.com> - 1.07.1-1
- Initial build
